<?php
session_start();
require('../fpdf/fpdf.php');
require('plantilla_general.php');
require '../../../conexion.php';
require_once('../../../include/sesiones.php');

$desde=$_GET['desde'];
$hastaf=date("Y-m-d");

$sumador_total=0; 
$query=mysqli_query($con, "SELECT * FROM abono_adelantado where abo_fecha BETWEEN '$desde' AND '$hastaf' and empresa='$empresa' order by abo_id desc");
$pdf=new PDF_MC_Table();
$pdf->AddPage();
$pdf->SetFont('Arial','',14);
$pdf->AliasNbPages();
$pdf->Cell(0,10,'EGRESOS DESDE '.$desde. ' HASTA ' .$hastaf,0,1);

$pdf->SetFont('Arial','',7);
$pdf->SetFillColor(235,225,215);
$pdf->SetFont('Arial','B',8);
$pdf->Cell(30,4,'FECHA',1,0,'C',1);
$pdf->Cell(60,4,'CLIENTE',1,0,'C',1);
$pdf->Cell(30,4,'METODO DE PAGO',1,0,'C',1);
$pdf->Cell(30,4,'MEDIO PAGO',1,0,'C',1);
$pdf->Cell(25,4,'CONCEPTO',1,0,'C',1);
$pdf->Cell(20,4,'TOTAL',1,0,'C',1);
$pdf->Ln(); 

while ($reg=mysqli_fetch_array($query))    
{
    $cliente=$reg['abo_clie_nombre']; 
    $fecha=$reg['abo_fecha'];
    $abo_forma_pago=$reg['abo_forma_pago'];
    $abo_medio_pago=$reg['abo_medio_pago'];
    $abo_concepto=$reg['abo_concepto'];
    $total=$reg['abo_valor'];

    $pdf->SetWidths(array(30,60,30,30,25,20));
    srand(time()*1000000);
    $pdf->Row(array($fecha,$cliente,mb_strtoupper($abo_forma_pago),mb_strtoupper($abo_medio_pago),$abo_concepto,number_format($total,0)));
    
}

$pdf->Output();
?>